%define upstream_name    Device-SerialPort
%define upstream_version 1.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	POSIX clone of Win32::SerialPort
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel


%description
This module provides an object-based user interface essentially identical
to the one provided by the Win32::SerialPort module.

Initialization
    The primary constructor is *new* with either a _PortName_, or a
    _Configuretion File_ specified. With a _PortName_, this will open the
    port and create the object. The port is not yet ready for read/write
    access. First, the desired _parameter settings_ must be established.
    Since these are tuning constants for an underlying hardware driver in
    the Operating System, they are all checked for validity by the methods
    that set them. The *write_settings* method updates the port (and will
    return True under POSIX). Ports are opened for binary transfers. A
    separate 'binmode' is not needed.

      $PortObj = new Device::SerialPort ($PortName, $quiet, $lockfile)
           || die "Can't open $Port%{?perl_default_filter}

Name: $!\n";

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*
/usr/bin/modemtest


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.40.0-15pclos2017
- rebuild against updates

